﻿using System;
using System.Linq;
using System.Windows;
using Telerik.Windows.Persistence.Storage;
using Telerik.Windows.Persistence.Services;
using Telerik.Windows.Controls;
using Telerik.Windows.Persistence;

namespace HierarchicalGridViewSerialization
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        System.IO.Stream stream;
        public MainWindow()
        {
            InitializeComponent();

            this.xGridView.SetValue(GridViewHelper.IsExpandWatcherActiveProperty, true);
            // register the custom property provider for the RadGridView:
            ServiceProvider.RegisterPersistenceProvider<ICustomPropertyProvider>(typeof(RadGridView), new GridViewCustomPropertyProvider());
            this.xGridView.ItemsSource = DivisionsService.GetDivisions();
            this.EnsureLoadState();
        }

        private void OnSave(object sender, System.Windows.RoutedEventArgs e)
        {
            //PersistenceManager manager = new PersistenceManager();
           // this.stream = manager.Save(this.xGridView);
			IsolatedStorageProvider isoProvider = new IsolatedStorageProvider();
			isoProvider.SaveToStorage();
           // this.EnsureLoadState();
        }

        private void OnLoad(object sender, System.Windows.RoutedEventArgs e)
        {
           // this.stream.Position = 0L;
            //PersistenceManager manager = new PersistenceManager();
           // manager.Load(this.xGridView, this.stream);
			IsolatedStorageProvider isoProvider = new IsolatedStorageProvider();
			isoProvider.LoadFromStorage();
			MessageBox.Show(this.xGridView.AutoGenerateColumns.ToString());
           // this.EnsureLoadState();
        }

        private bool CanLoad()
        {
          //  return this.stream != null && this.stream.Length > 0;
		  return true;
        }

        private void EnsureLoadState()
        {
           // this.buttonLoad.IsEnabled = this.CanLoad();
        }
    }
}
