﻿using System;
using System.Collections.Generic;

namespace HierarchicalGridViewSerialization
{
    public class Team : IGridRowSelectionWatchable
    {
        public int Id
        {
            get;
            set;
        }
        public string TeamName
        {
            get;
            set;
        }
        public int Place
        {
            get;
            set;
        }

        public List<Player> Players
        {
            get;
            set;
        }

        public int GetUniqueId()
        {
            return this.TeamName.GetHashCode() ^ this.Id.GetHashCode();
        }

        public string StorageId
        {
            get
            {
                return GetUniqueId().ToString();
            }
        }
    }
}
