﻿using System;
using System.Collections.Generic;

namespace HierarchicalGridViewSerialization
{
    public class Division : IGridRowSelectionWatchable
    {
        public int Id
        {
            get;
            set;
        }
        public string Name
        {
            get;
            set;
        }
        public List<Team> Teams
        {
            get;
            set;
        }

        public int GetUniqueId()
        {
            return this.Name.GetHashCode() ^ this.Id.GetHashCode();
        }

        public string StorageId
        {
            get
            {
                return GetUniqueId().ToString();
            }
        }
    }
}
